跳转到内容

Nemotron 3 Nano Omni

集成

模型 id nvidia/nemotron-3-nano-omni
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nvidia/nemotron-3-nano-omni?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.01 10 API 积分 · ≈ ₽1.07 在此页面运行

获取 API 密钥
NVIDIA LLM #nemotron#nvidia#reasoning#llm

纯文本聊天LLM,支持切换推理轨迹,最多生成20,000个token

NVIDIA · 文本

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

作为模型提示词提供的文本;必须使用英语。

高级 system_prompt · reasoning_mode · max_tokens · temperature · top_p · enable_safety_checker

作为系统提示词提供的可选模型指导,其中不包含推理控制;请改用 `reasoning_mode`。

reasoning_mode 默认 no_think

回答格式:`think` 会在最终回答前包含明确的思维链过程。若要直接回答而不包含该过程,请使用 `no_think`。

默认 1024

生成 token 的上限。

默认 0.7

采样温度;值越小,输出越确定。

默认 0.95

核采样使用的概率质量。

POST /run/nvidia/nemotron-3-nano-omni?wait=20 报价 → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nvidia/nemotron-3-nano-omni?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Nemotron 3 Nano Omni

回答文本提示的语言模型,可选使用 `system_prompt` 引导行为。将 `reasoning_mode` 设为 `think` 可在答案前获取推理轨迹,设为 `no_think` 则返回直接回复。`max_tokens` 最高为 20,000,并可调节 `temperature` 和 `top_p`。提示词应使用英文。

参数

名称类型 默认值允许值 描述
prompt必填
类型string
作为模型提示词提供的文本;必须使用英语。
system_prompt可选
类型string | null
作为系统提示词提供的可选模型指导,其中不包含推理控制;请改用 `reasoning_mode`。
reasoning_mode可选
类型enum
默认值no_think
thinkno_think
回答格式:`think` 会在最终回答前包含明确的思维链过程。若要直接回答而不包含该过程,请使用 `no_think`。
max_tokens可选
类型integer
默认值1024
1 – 20,000
生成 token 的上限。
temperature可选
类型number
默认值0.7
0 – 2
采样温度;值越小,输出越确定。
top_p可选
类型number
默认值0.95
0 – 1
核采样使用的概率质量。
enable_safety_checker可选
类型boolean
默认值true
控制是否启用安全检查。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nvidia/nemotron-3-nano-omni",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "The image shows a golden retriever puppy sitting on a wooden floor.",
    "finish_reason": "stop",
    "usage": {
      "input_tokens": 1,
      "output_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
output
string作为回答生成的文本。
finish_reason
string结束生成的原因。
usage
object {input_tokens, output_tokens}与请求相关的 token 消耗。

更多模型:LLM

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/nvidia/nemotron-3-nano-omni.md. 所有模型和指南: https://doitong.com/developers/llms.txt